[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Incorrect handling of self signed certificates in OpenFire XMPP Server



Incorrect handling of self signed certificates in OpenFire XMPP Server


Affected software: OpenFire XMPP server
Affected versions: 3.9.3 and earlier
Vulnerabilities addressed: CVE-2014-3451, CVE-2015-2080

Openfire is a real time collaboration (RTC) server licensed under the Open Source Apache License. It uses the widely adopted open protocol for instant messaging, XMPP (also called Jabber). 


Vulnerability details

The OpenFire server would incorrectly accept self signed certificates potentially allowing spoofing attacks.

This issue (CVE-2014-3451) is fixed in release 3.10 (OF-405). 

We would like to thank Kim Alvefur for reporting this issue.


Notes on release

The 3.10 release of OpenFire also addresses a reflected XSS issue (OF-845), and upgrades the Jetty library used (addressing CVE-2015-2080).


Release announcement (includes link to download and SHA1 checksums)

https://community.igniterealtime.org/blogs/ignite/2015/04/22/openfire-3100-released



Simon Waters
phone  +448454681066
email  simon.waters@xxxxxxxxxxxx
skype  simon.waters.surevine


Participate | Collaborate | Innovate

Surevine Limited, registered in England and Wales with number 06726289. Mailing Address : PO Box 1136, Guildford GU1 9ND
If you think you have received this message in error, please notify us.